POST api/distributionapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
DistributionViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| communication_server_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "f56ba50b-9d93-46ed-814a-5cdc4f0c5a2a",
"name": "sample string 2",
"communication_server_id": "b03ae4a1-3a37-4fa5-8dd4-c09e7538e496",
"active": true
}
application/xml, text/xml
Sample:
<distribution xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <communication_server_id>b03ae4a1-3a37-4fa5-8dd4-c09e7538e496</communication_server_id> <id>f56ba50b-9d93-46ed-814a-5cdc4f0c5a2a</id> <name>sample string 2</name> </distribution>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"b535a458-e30a-4a4a-a24d-85d3505235a2"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">b535a458-e30a-4a4a-a24d-85d3505235a2</guid>